Alexandre Julliard : testbot/scripts: Use exit instead of return to set the script exit status.

Alexandre Julliard julliard at winehq.org
Tue Oct 30 11:28:05 CDT 2012


Module: tools
Branch: master
Commit: 85cffa35d83404131335a6805cf887f584136eb5
URL:    http://source.winehq.org/git/tools.git/?a=commit;h=85cffa35d83404131335a6805cf887f584136eb5

Author: Alexandre Julliard <julliard at winehq.org>
Date:   Mon Oct 29 19:01:56 2012 +0100

testbot/scripts: Use exit instead of return to set the script exit status.

---

 testbot/scripts/initd |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/testbot/scripts/initd b/testbot/scripts/initd
index 262fa54..8853f6c 100755
--- a/testbot/scripts/initd
+++ b/testbot/scripts/initd
@@ -108,16 +108,16 @@ then
             if $PING -q
             then
                 log_success_msg "The WineTestBot server is running"
-                return 0
+                exit 0
             fi
             log_failure_msg "The WineTestBot server is running but not responding"
-            return 1
+            exit 1
         elif [ "$status" = 4 ]; then
             log_failure_msg "could not access PID file for the WineTestBot server"
-            return $status
+            exit $status
         else
             log_failure_msg "The WineTestBot server is not running"
-            return $status
+            exit $status
         fi
         ;;
 




More information about the wine-cvs mailing list